{"openapi":"3.0.1","info":{"title":"3CX PhoneSystem API","version":"v1"},"paths":{"/api/ActiveCalls":{"get":{"tags":["ActiveCalls"],"operationId":"ActiveCalls_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActiveCallsList"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActiveCalls/drop":{"post":{"tags":["ActiveCalls"],"operationId":"ActiveCalls_DropCall","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropCallVm"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DropCallVm"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DropCallVm"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_Get","parameters":[{"name":"startFrom","in":"query","schema":{"type":"integer","format":"int64"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BinLogEvent"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/purge":{"post":{"tags":["ActivityLog"],"operationId":"ActivityLog_Purge","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getExtensions":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetExtensions","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getCalls":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetCalls","parameters":[{"name":"extension","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getFilter":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetFilter","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActivityLogFilter"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/setFilter":{"post":{"tags":["ActivityLog"],"operationId":"ActivityLog_SetFilter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActivityLogFilter"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ActivityLogFilter"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ActivityLogFilter"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getLogLevel":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetLogLevel","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/setLogLevel":{"post":{"tags":["ActivityLog"],"operationId":"ActivityLog_SetLogLevel","requestBody":{"content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"application/xml":{"schema":{"type":"integer","format":"int32"}},"text/plain":{"schema":{"type":"integer","format":"int32"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getKeepLogs":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetKeepLogs","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/setKeepLogs":{"post":{"tags":["ActivityLog"],"operationId":"ActivityLog_SetKeepLogs","requestBody":{"content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/getKeepDays":{"get":{"tags":["ActivityLog"],"operationId":"ActivityLog_GetKeepDays","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ActivityLog/setKeepDays":{"post":{"tags":["ActivityLog"],"operationId":"ActivityLog_SetKeepDays","requestBody":{"content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"application/xml":{"schema":{"type":"integer","format":"int32"}},"text/plain":{"schema":{"type":"integer","format":"int32"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Audit/records":{"get":{"tags":["Audit"],"operationId":"Audit_GetRecordsAsync","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter_type","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter_name","in":"query","schema":{"type":"string"}},{"name":"filter_from","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"filter_till","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"action_filter","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"user_name","in":"query","schema":{"type":"string"}},{"name":"search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/AuditRecordsResponse"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Audit/getSettings":{"get":{"tags":["Audit"],"operationId":"Audit_GetSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"text/json":{"schema":{"$ref":"#/components/schemas/AuditSettings"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Audit/setSettings":{"post":{"tags":["Audit"],"operationId":"Audit_SetSettings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AuditSettings"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AuditSettings"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Audit/setAuditLogStatus":{"post":{"tags":["Audit"],"operationId":"Audit_SetAuditEnabled","requestBody":{"content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Audit/export":{"post":{"tags":["Audit"],"operationId":"Audit_Export","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"type":{"type":"integer","format":"int32"},"name":{"type":"string"},"search":{"type":"string"},"action":{"type":"integer","format":"int32"},"user_name":{"type":"string"},"searchByDate":{"type":"boolean"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"}}},"encoding":{"type":{"style":"form"},"name":{"style":"form"},"search":{"style":"form"},"action":{"style":"form"},"user_name":{"style":"form"},"searchByDate":{"style":"form"},"startDate":{"style":"form"},"endDate":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/BackupAndRestoreList/stopRestores":{"post":{"tags":["BackupAndRestoreList"],"operationId":"BackupAndRestoreList_StopRestores","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/BackupAndRestoreList/failover_settings":{"post":{"tags":["BackupAndRestoreList"],"operationId":"BackupAndRestoreList_FailoverSettings","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/BackupAndRestoreList/gBucketConnect":{"get":{"tags":["BackupAndRestoreList"],"operationId":"BackupAndRestoreList_GBucketConnect","parameters":[{"name":"json","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/BackupAndRestoreList/deAuthenticateGBucket":{"post":{"tags":["BackupAndRestoreList"],"operationId":"BackupAndRestoreList_DeAuthenticateGBucket","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/BackupAndRestoreList/gBucketAuthCallback":{"get":{"tags":["BackupAndRestoreList"],"operationId":"BackupAndRestoreList_GBucketAuthCallback","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallCosts":{"get":{"tags":["CallCosts"],"operationId":"CallCosts_GetCallCosts","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallCostListVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["CallCosts"],"operationId":"CallCosts_SaveCallCosts","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallCost"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallCost"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallCost"}}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallCosts/Export":{"get":{"tags":["CallCosts"],"operationId":"CallCosts_ExportCallCosts","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallCosts/Import":{"post":{"tags":["CallCosts"],"operationId":"CallCosts_ImportCallCostsFromXml","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}},"application/octet-stream":{"schema":{"type":"boolean"}},"application/x-msgpack":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallFlowApps":{"get":{"tags":["CallFlowApps"],"operationId":"CallFlowApps_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["CallFlowApps"],"operationId":"CallFlowApps_Post","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallFlowApps/delete":{"post":{"tags":["CallFlowApps"],"operationId":"CallFlowApps_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallFlowApps/{id}":{"get":{"tags":["CallFlowApps"],"operationId":"CallFlowApps_GetScript","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["CallFlowApps"],"operationId":"CallFlowApps_SaveScript","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallLog":{"get":{"tags":["CallLog"],"operationId":"CallLog_GetAsync","parameters":[{"name":"SearchFilter","in":"query","schema":{"type":"string"}},{"name":"DateRangeType","in":"query","schema":{"$ref":"#/components/schemas/DateRangeType"}},{"name":"FromDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"ToDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"FromFilterType","in":"query","schema":{"$ref":"#/components/schemas/NumberFilterType"}},{"name":"FromFilter","in":"query","schema":{"type":"string"}},{"name":"ToFilterType","in":"query","schema":{"$ref":"#/components/schemas/NumberFilterType"}},{"name":"ToFilter","in":"query","schema":{"type":"string"}},{"name":"CallState","in":"query","schema":{"$ref":"#/components/schemas/CallState"}},{"name":"StartRow","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"NumberOfRows","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"TimeZoneName","in":"query","schema":{"type":"string"}},{"name":"CultureName","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallLogResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CallLogResult"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CallLogResult"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/CallLogResult"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/CallLogResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CallLogResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallLog/export":{"post":{"tags":["CallLog"],"operationId":"CallLog_ExportAsync","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallLogExportRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CallLogExportRequest"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CallLogExportRequest"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CallLog/ValidationParams":{"get":{"tags":["CallLog"],"operationId":"CallLog_GetValidationParams","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}},"text/json":{"schema":{"$ref":"#/components/schemas/CallLogValidationParams"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Capture/report":{"get":{"tags":["Capture"],"operationId":"Capture_Report","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Capture/download":{"get":{"tags":["Capture"],"operationId":"Capture_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Capture/getInterfaces":{"get":{"tags":["Capture"],"operationId":"Capture_GetInterfaces","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Capture":{"post":{"tags":["Capture"],"operationId":"Capture_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaptureArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CaptureArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CaptureArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/SetChatLogsEnabled":{"post":{"tags":["Chat"],"operationId":"Chat_SetChatLogsEnabled","requestBody":{"content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}},"application/octet-stream":{"schema":{"type":"boolean"}},"application/x-msgpack":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/messages":{"get":{"tags":["Chat"],"operationId":"Chat_GetMessagesAsync","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"chat_filter","in":"query","schema":{"type":"string"}},{"name":"from_filter","in":"query","schema":{"type":"string"}},{"name":"to_filter","in":"query","schema":{"type":"string"}},{"name":"provider_filter","in":"query","schema":{"type":"string"}},{"name":"search_date","in":"query","schema":{"type":"boolean"}},{"name":"start_date","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"end_date","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"filter","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"text/json":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/settings":{"get":{"tags":["Chat"],"operationId":"Chat_GetSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"application/octet-stream":{"schema":{"type":"string"}},"application/x-msgpack":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/setSettings":{"post":{"tags":["Chat"],"operationId":"Chat_SetSettings","requestBody":{"content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/GetChatCloseAfterDays":{"get":{"tags":["Chat"],"operationId":"Chat_GetChatCloseAfterDays","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"application/octet-stream":{"schema":{"type":"string"}},"application/x-msgpack":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/SetChatCloseAfterDays":{"post":{"tags":["Chat"],"operationId":"Chat_SetChatCloseAfterDays","requestBody":{"content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/conversation_messages":{"get":{"tags":["Chat"],"operationId":"Chat_GetMessagesConversationAsync","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"conversation_id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"search_date","in":"query","schema":{"type":"boolean"}},{"name":"start_date","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"end_date","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"filter","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}},"text/json":{"schema":{"$ref":"#/components/schemas/ChatMessagesData"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/delete":{"post":{"tags":["Chat"],"operationId":"Chat_DeleteMessages","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/deleteAll":{"post":{"tags":["Chat"],"operationId":"Chat_DeleteAllMessages","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/deleteAllChatConversation":{"post":{"tags":["Chat"],"operationId":"Chat_deleteAllChatConversation","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/export":{"post":{"tags":["Chat"],"operationId":"Chat_Export","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"to":{"type":"string"},"from":{"type":"string"},"chatFilter":{"type":"string"},"sourceFilter":{"type":"string"},"searchByDate":{"type":"boolean"},"filter":{"type":"string"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"}}},"encoding":{"to":{"style":"form"},"from":{"style":"form"},"chatFilter":{"style":"form"},"sourceFilter":{"style":"form"},"searchByDate":{"style":"form"},"filter":{"style":"form"},"startDate":{"style":"form"},"endDate":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Chat/conversationExport":{"post":{"tags":["Chat"],"operationId":"Chat_ConversationExport","parameters":[{"name":"conversation_id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"isWebrtc","in":"query","schema":{"type":"boolean"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ids":{"type":"string"}}},"encoding":{"ids":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Console/commands":{"get":{"tags":["Console"],"operationId":"Console_GetCommands","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Console":{"get":{"tags":["Console"],"operationId":"Console_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CopyExtension":{"get":{"tags":["CopyExtension"],"operationId":"CopyExtension_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CopyExtensionVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["CopyExtension"],"operationId":"CopyExtension_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CopyExtensionVm"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CopyExtensionVm"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CopyExtensionVm"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Crm/client":{"get":{"tags":["Crm"],"operationId":"Crm_GetClient","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Crm/server":{"get":{"tags":["Crm"],"operationId":"Crm_GetServer","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Crm/upload":{"post":{"tags":["Crm"],"operationId":"Crm_Upload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Crm/delete":{"post":{"tags":["Crm"],"operationId":"Crm_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteParams"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DeleteParams"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DeleteParams"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/deleteCrmContacts":{"post":{"tags":["CrmList"],"operationId":"CrmList_DeleteCrmContacts","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/deleteServerCrm":{"post":{"tags":["CrmList"],"operationId":"CrmList_DeleteCrm","parameters":[{"name":"crmName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/uploadServerCrm":{"post":{"tags":["CrmList"],"operationId":"CrmList_UploadServerCrm","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/template":{"get":{"tags":["CrmList"],"operationId":"CrmList_GetCrmTemplate","parameters":[{"name":"name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/CrmSettings":{"post":{"tags":["CrmList"],"operationId":"CrmList_CrmSettings","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/test":{"post":{"tags":["CrmList"],"operationId":"CrmList_Test","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TestArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/TestArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/TestArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/SetOAuthState":{"post":{"tags":["CrmList"],"operationId":"CrmList_SetOAuthState","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAuthStateParam"}},"application/xml":{"schema":{"$ref":"#/components/schemas/OAuthStateParam"}},"text/plain":{"schema":{"$ref":"#/components/schemas/OAuthStateParam"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CrmList/GetOAuth/{editor}/{variable}":{"get":{"tags":["CrmList"],"operationId":"CrmList_GetOAuth","parameters":[{"name":"editor","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"variable","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CurrentUser":{"get":{"tags":["CurrentUser"],"operationId":"CurrentUser_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}},"application/xml":{"schema":{"$ref":"#/components/schemas/UserInfo"}},"text/plain":{"schema":{"$ref":"#/components/schemas/UserInfo"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/UserInfo"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/UserInfo"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList":{"get":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_Get","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertiesListVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList/getCustomProfileNames":{"get":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_GetCustomProfileNames","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList/hasIPV6BindingValue":{"get":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_HasIPV6BindingParameterValue","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList/getExtraParamsAccessible":{"get":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_GetExtraParamsAccessible","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList/delete":{"post":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/CustomParametersList/new":{"post":{"tags":["CustomParametersList"],"operationId":"CustomParametersList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/DnProperties":{"get":{"tags":["DnProperties"],"operationId":"DnProperties_Get","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter","in":"query","schema":{"type":"string"}},{"name":"number","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertiesListVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["DnProperties"],"operationId":"DnProperties_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/DnProperties/delete":{"post":{"tags":["DnProperties"],"operationId":"DnProperties_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DeletePostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/DnProperties/new":{"post":{"tags":["DnProperties"],"operationId":"DnProperties_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ParamPostArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit":{"get":{"tags":["Edit"],"operationId":"Edit_Get","parameters":[{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/save":{"post":{"tags":["Edit"],"operationId":"Edit_Save","requestBody":{"content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"application/xml":{"schema":{"type":"integer","format":"int32"}},"text/plain":{"schema":{"type":"integer","format":"int32"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/validate":{"post":{"tags":["Edit"],"operationId":"Edit_Validate","requestBody":{"content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"application/xml":{"schema":{"type":"integer","format":"int32"}},"text/plain":{"schema":{"type":"integer","format":"int32"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/cancel":{"post":{"tags":["Edit"],"operationId":"Edit_Cancel","requestBody":{"content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"application/xml":{"schema":{"type":"integer","format":"int32"}},"text/plain":{"schema":{"type":"integer","format":"int32"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/update":{"post":{"tags":["Edit"],"operationId":"Edit_Update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyUpdateArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PropertyUpdateArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/PropertyUpdateArg"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangeVM"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/collectChanges":{"post":{"tags":["Edit"],"operationId":"Edit_CollectChanges","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectChangesArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/CollectChangesArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/CollectChangesArg"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangeVM"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/readIds":{"post":{"tags":["Edit"],"operationId":"Edit_ReadIds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadIndexesArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReadIndexesArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ReadIndexesArg"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/octet-stream":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/x-msgpack":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"text/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Edit/readProperty":{"post":{"tags":["Edit"],"operationId":"Edit_ReadCollection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadCollectionArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReadCollectionArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ReadCollectionArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList":{"get":{"tags":["EditorList"],"operationId":"EditorList_Get","parameters":[{"name":"ObjectId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PropertyPath","in":"query","required":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/PropertyPathElement"}}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList/new":{"post":{"tags":["EditorList"],"operationId":"EditorList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEditorArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewEditorArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewEditorArg"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList/set":{"post":{"tags":["EditorList"],"operationId":"EditorList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetEditorArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/SetEditorArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/SetEditorArg"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList/delete":{"post":{"tags":["EditorList"],"operationId":"EditorList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteEditorArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DeleteEditorArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DeleteEditorArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList/up":{"post":{"tags":["EditorList"],"operationId":"EditorList_Up","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EditorList/Down":{"post":{"tags":["EditorList"],"operationId":"EditorList_Down","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/MoveEditorArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/Electron/download/{platform}/{file}":{"get":{"tags":["Electron"],"operationId":"Electron_Download","parameters":[{"name":"platform","in":"path","required":true,"schema":{"type":"string"}},{"name":"file","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/Electron/update/{platform}/{version}":{"get":{"tags":["Electron"],"operationId":"Electron_Get","parameters":[{"name":"platform","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/Electron/update/{platform}/{version}/RELEASES":{"get":{"tags":["Electron"],"operationId":"Electron_GetReleases","parameters":[{"name":"platform","in":"path","required":true,"schema":{"type":"string"}},{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/EmailTemplate/default":{"post":{"tags":["EmailTemplate"],"operationId":"EmailTemplate_SetDefault","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DefaultVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DefaultVM"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/EmailTemplate":{"post":{"tags":["EmailTemplate"],"operationId":"EmailTemplate_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"get":{"tags":["EmailTemplate"],"operationId":"EmailTemplate_Get","parameters":[{"name":"templatePath","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/EmailTemplate"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExistingReports":{"get":{"tags":["ExistingReports"],"operationId":"ExistingReports_GetReports","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExistingReportListVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExistingReports/delete":{"post":{"tags":["ExistingReports"],"operationId":"ExistingReports_Delete","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string"}}},"text/plain":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExistingReports/deleteAll":{"post":{"tags":["ExistingReports"],"operationId":"ExistingReports_DeleteAll","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList":{"get":{"tags":["ExtensionList"],"operationId":"ExtensionList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/isTeamsEnabled":{"get":{"tags":["ExtensionList"],"operationId":"ExtensionList_IsTeamsEnabled","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"boolean"}},"application/xml":{"schema":{"type":"boolean"}},"text/plain":{"schema":{"type":"boolean"}},"application/octet-stream":{"schema":{"type":"boolean"}},"application/x-msgpack":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/new":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_New","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/set":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/setBulk":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_SetBulk","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetBulkEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/SetBulkEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/SetBulkEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/delete":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/getExtensionSelector":{"get":{"tags":["ExtensionList"],"operationId":"ExtensionList_GetSelectExtensionEditor","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/getSelectedExtensionStatus":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_GetSelectedExtensionStatus","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/import":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_Import","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/export":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_Export","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ids":{"type":"string"}}},"encoding":{"ids":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/sendWelcomeEmail":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_SendWelcomeEmail","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/regenerate":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_Regenerate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegenerateRequestVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RegenerateRequestVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/RegenerateRequestVM"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/setCurrentProfile":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_setCurrentProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeProfileArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ChangeProfileArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ChangeProfileArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/ExtensionList/setQueueStatus":{"post":{"tags":["ExtensionList"],"operationId":"ExtensionList_setQueueStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeStatusArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ChangeStatusArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ChangeStatusArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FaxFiles":{"get":{"tags":["FaxFiles"],"operationId":"FaxFiles_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"integer","format":"int64"}},"application/xml":{"schema":{"type":"integer","format":"int64"}},"text/plain":{"schema":{"type":"integer","format":"int64"}},"application/octet-stream":{"schema":{"type":"integer","format":"int64"}},"application/x-msgpack":{"schema":{"type":"integer","format":"int64"}},"text/json":{"schema":{"type":"integer","format":"int64"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]},"post":{"tags":["FaxFiles"],"operationId":"FaxFiles_Post","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FaxList":{"get":{"tags":["FaxList"],"operationId":"FaxList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FaxList/new":{"post":{"tags":["FaxList"],"operationId":"FaxList_New","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FaxList/set":{"post":{"tags":["FaxList"],"operationId":"FaxList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FaxList/delete":{"post":{"tags":["FaxList"],"operationId":"FaxList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/upload":{"post":{"tags":["File"],"operationId":"File_Upload","parameters":[{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"propertyPath","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangeVM"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/uploadWebMeetingLogo":{"post":{"tags":["File"],"operationId":"File_UploadWebMeetingLogo","parameters":[{"name":"id","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/download":{"get":{"tags":["File"],"operationId":"File_Download","parameters":[{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"name","in":"query","schema":{"type":"string"}},{"name":"propertyPath","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/delete":{"post":{"tags":["File"],"operationId":"File_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteFileVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DeleteFileVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DeleteFileVM"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangeVM"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/play":{"post":{"tags":["File"],"operationId":"File_Play","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlayFileVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PlayFileVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/PlayFileVM"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/File/record":{"post":{"tags":["File"],"operationId":"File_Record","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RecordVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/RecordVM"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FileSystem/downloadFile":{"get":{"tags":["FileSystem"],"operationId":"FileSystem_DownloadFile","parameters":[{"name":"path","in":"query","schema":{"type":"string"}},{"name":"filesystem","in":"query","schema":{"$ref":"#/components/schemas/FileSystemType"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FileSystem/directoryList":{"get":{"tags":["FileSystem"],"operationId":"FileSystem_DirectoryList","parameters":[{"name":"path","in":"query","schema":{"type":"string"}},{"name":"filesystem","in":"query","schema":{"$ref":"#/components/schemas/FileSystemType"}},{"name":"json","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirListDesc"}},"application/xml":{"schema":{"$ref":"#/components/schemas/DirListDesc"}},"text/plain":{"schema":{"$ref":"#/components/schemas/DirListDesc"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/DirListDesc"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/DirListDesc"}},"text/json":{"schema":{"$ref":"#/components/schemas/DirListDesc"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FileSystem/fileList":{"get":{"tags":["FileSystem"],"operationId":"FileSystem_FileList","parameters":[{"name":"path","in":"query","schema":{"type":"string"}},{"name":"pattern","in":"query","schema":{"type":"string"}},{"name":"filesystem","in":"query","schema":{"$ref":"#/components/schemas/FileSystemType"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileListDesc"}},"application/xml":{"schema":{"$ref":"#/components/schemas/FileListDesc"}},"text/plain":{"schema":{"$ref":"#/components/schemas/FileListDesc"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/FileListDesc"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/FileListDesc"}},"text/json":{"schema":{"$ref":"#/components/schemas/FileListDesc"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Firewall/start":{"post":{"tags":["Firewall"],"operationId":"Firewall_Start","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirewallState"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Firewall/stop":{"post":{"tags":["Firewall"],"operationId":"Firewall_Stop","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirewallState"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Firewall":{"get":{"tags":["Firewall"],"operationId":"Firewall_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirewallState"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Firmware/unused":{"get":{"tags":["Firmware"],"operationId":"Firmware_GetUnused","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/xml":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"text/plain":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"text/json":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Firmware/clean":{"post":{"tags":["Firmware"],"operationId":"Firmware_Clean","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareCleanCommand"}},"application/xml":{"schema":{"$ref":"#/components/schemas/FirmwareCleanCommand"}},"text/plain":{"schema":{"$ref":"#/components/schemas/FirmwareCleanCommand"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/xml":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"text/plain":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}},"text/json":{"schema":{"$ref":"#/components/schemas/FirmwareUnusedReport"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/Forget":{"post":{"tags":["Forget"],"operationId":"Forget_RestorePassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestorePassword"}},"application/xml":{"schema":{"$ref":"#/components/schemas/RestorePassword"}},"text/plain":{"schema":{"$ref":"#/components/schemas/RestorePassword"}}},"required":true},"responses":{"200":{"description":"Success"}}}},"/api/FxsList":{"get":{"tags":["FxsList"],"operationId":"FxsList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/delete":{"post":{"tags":["FxsList"],"operationId":"FxsList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/fxsBrands":{"get":{"tags":["FxsList"],"operationId":"FxsList_GetFxsBrands","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}},"application/xml":{"schema":{"type":"array","items":{"type":"string"}}},"text/plain":{"schema":{"type":"array","items":{"type":"string"}}},"application/octet-stream":{"schema":{"type":"array","items":{"type":"string"}}},"application/x-msgpack":{"schema":{"type":"array","items":{"type":"string"}}},"text/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/fxsTemplates":{"get":{"tags":["FxsList"],"operationId":"FxsList_GetFxsTemplates","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/x-msgpack":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/fxses":{"get":{"tags":["FxsList"],"operationId":"FxsList_GetFxsList","parameters":[{"name":"brand","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"application/x-msgpack":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FxsTemplateFile"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/fxs":{"get":{"tags":["FxsList"],"operationId":"FxsList_GetFxsConfiguration","parameters":[{"name":"brand","in":"query","required":true,"schema":{"type":"string"}},{"name":"model","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}},"application/xml":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}},"text/plain":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}},"text/json":{"schema":{"$ref":"#/components/schemas/FxsTemplate"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/generateDeviceConfig":{"get":{"tags":["FxsList"],"operationId":"FxsList_GenerateDeviceConfig","parameters":[{"name":"id","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/createFxs":{"post":{"tags":["FxsList"],"operationId":"FxsList_CreateFxs","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewFxsArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewFxsArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewFxsArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/validateMacAddress":{"get":{"tags":["FxsList"],"operationId":"FxsList_ValidateMacAddress","parameters":[{"name":"macAddress","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/FxsList/set":{"post":{"tags":["FxsList"],"operationId":"FxsList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/GroupList":{"get":{"tags":["GroupList"],"operationId":"GroupList_Get","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}},"application/xml":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}},"text/plain":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}},"text/json":{"schema":{"$ref":"#/components/schemas/GroupVMListVm"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/GroupList/new":{"post":{"tags":["GroupList"],"operationId":"GroupList_New","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/GroupList/set":{"post":{"tags":["GroupList"],"operationId":"GroupList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/GroupList/delete":{"post":{"tags":["GroupList"],"operationId":"GroupList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList":{"get":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList/new":{"post":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewHotdeskingPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewHotdeskingPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewHotdeskingPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList/set":{"post":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList/delete":{"post":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList/getModels":{"get":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_GetModels","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}},"application/x-msgpack":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PhoneTemplateFile"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/HotdeskingList/logout":{"post":{"tags":["HotdeskingList"],"operationId":"HotdeskingList_Logout","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"application/xml":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}},"text/plain":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList":{"get":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/new":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/set":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/delete":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/import":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Import","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/export":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Export","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ids":{"type":"string"}}},"encoding":{"ids":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/Up":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Up","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/InboundRulesList/down":{"post":{"tags":["InboundRulesList"],"operationId":"InboundRulesList_Down","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList":{"get":{"tags":["IpBlackList"],"operationId":"IpBlackList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList/export":{"get":{"tags":["IpBlackList"],"operationId":"IpBlackList_Export","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList/import":{"post":{"tags":["IpBlackList"],"operationId":"IpBlackList_Import","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList/new":{"post":{"tags":["IpBlackList"],"operationId":"IpBlackList_New","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList/set":{"post":{"tags":["IpBlackList"],"operationId":"IpBlackList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IpBlackList/delete":{"post":{"tags":["IpBlackList"],"operationId":"IpBlackList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IVRList":{"get":{"tags":["IVRList"],"operationId":"IVRList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IVRList/new":{"post":{"tags":["IVRList"],"operationId":"IVRList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IVRList/set":{"post":{"tags":["IVRList"],"operationId":"IVRList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IVRList/delete":{"post":{"tags":["IVRList"],"operationId":"IVRList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/IVRList/addForward":{"post":{"tags":["IVRList"],"operationId":"IVRList_AddForward","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddForwardArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddForwardArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddForwardArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Ldap/createExtensions":{"post":{"tags":["Ldap"],"operationId":"Ldap_CreateExtensions","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ActiveDirectoryUserInfo"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ActiveDirectoryUserInfo"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ActiveDirectoryUserInfo"}}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Ldap":{"post":{"tags":["Ldap"],"operationId":"Ldap_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LdapOptions"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LdapOptions"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LdapOptions"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Ldap/getOptions":{"get":{"tags":["Ldap"],"operationId":"Ldap_GetOptions","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/License":{"get":{"tags":["License"],"operationId":"License_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/License/licenseExpirationInfo":{"get":{"tags":["License"],"operationId":"License_LicenseExpirationInfo","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/License/setLicenseParams":{"post":{"tags":["License"],"operationId":"License_SetLicenseParams","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseInfoVm"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LicenseInfoVm"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LicenseInfoVm"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/License/ReplaceLicense":{"post":{"tags":["License"],"operationId":"License_ReplaceLicense","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplaceLicenseKeyRequest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ReplaceLicenseKeyRequest"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ReplaceLicenseKeyRequest"}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/Login":{"post":{"tags":["Login"],"operationId":"Login_Post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}},"text/plain":{"schema":{"$ref":"#/components/schemas/LoginViewModel"}}},"required":true},"responses":{"200":{"description":"Success"}}}},"/api/Logout":{"post":{"tags":["Logout"],"operationId":"Logout_Get","responses":{"200":{"description":"Success"}}}},"/api/LookupDnTable/AllDN":{"get":{"tags":["LookupDnTable"],"operationId":"LookupDnTable_AllDN","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter","in":"query","schema":{"type":"string"}},{"name":"type","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/MyPhone/MPWebService.asmx":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_MPWebService","responses":{"200":{"description":"Success"}}}},"/MyPhone/JsonWebService.asmx/Call":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_JsonWebService","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MyPhoneJsonRequestVM"}},"application/xml":{"schema":{"$ref":"#/components/schemas/MyPhoneJsonRequestVM"}},"text/plain":{"schema":{"$ref":"#/components/schemas/MyPhoneJsonRequestVM"}}}},"responses":{"200":{"description":"Success"}}}},"/MyPhone/c2cinfo":{"get":{"tags":["MyPhone"],"operationId":"MyPhone_C2cInfo","parameters":[{"name":"c2cid","in":"query","required":true,"schema":{"type":"string"}},{"name":"sessionId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/c2clogin":{"get":{"tags":["MyPhone"],"operationId":"MyPhone_C2cLogin","parameters":[{"name":"c2cid","in":"query","required":true,"schema":{"type":"string"}},{"name":"login","in":"query","schema":{"type":"boolean"}},{"name":"token","in":"query","schema":{"type":"string"}},{"name":"displayname","in":"query","schema":{"type":"string"}},{"name":"email","in":"query","schema":{"type":"string"}},{"name":"phone","in":"query","schema":{"type":"string"}},{"name":"user_data","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}},"application/x-msgpack":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Click2TalkLoginResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Not Found"},"429":{"description":"Too Many Requests"},"500":{"description":"Server Error"}}}},"/MyPhone/downloadRecording/{id}":{"head":{"tags":["MyPhone"],"operationId":"MyPhone_DownloadRecordingHead","parameters":[{"name":"sessionId","in":"query","schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}},"get":{"tags":["MyPhone"],"operationId":"MyPhone_DownloadRecording","parameters":[{"name":"sessionId","in":"query","schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/testmime/{file}":{"get":{"tags":["MyPhone"],"operationId":"MyPhone_Test","parameters":[{"name":"file","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"string"}},"application/xml":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"application/octet-stream":{"schema":{"type":"string"}},"application/x-msgpack":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}},"/MyPhone/providericon":{"get":{"tags":["MyPhone"],"operationId":"MyPhone_GetProviderIcon","parameters":[{"name":"sessionId","in":"query","schema":{"type":"string"}},{"name":"encodedProvider","in":"query","schema":{"type":"string"}},{"name":"type","in":"query","schema":{"$ref":"#/components/schemas/ProviderLogoType"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/downloadchatfile/{token}":{"head":{"tags":["MyPhone"],"operationId":"MyPhone_DownloadHead","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}},{"name":"sessionId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}},"get":{"tags":["MyPhone"],"operationId":"MyPhone_Download","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}},{"name":"sessionId","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/uploadchatfile/{token}":{"post":{"tags":["MyPhone"],"operationId":"MyPhone_Upload","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/config/{route}":{"get":{"tags":["MyPhone"],"operationId":"MyPhone_GetC2cConfiguration","parameters":[{"name":"route","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/MyPhone/a.MyPhoneAsyncHandler":{"get":{"tags":["MyPhoneStream"],"operationId":"MyPhoneStream_Get","parameters":[{"name":"sessionId","in":"query","required":true,"schema":{"type":"string"}},{"name":"pass","in":"query","required":true,"schema":{"type":"string"}},{"name":"eventsource","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/NumberBlackList/import":{"post":{"tags":["NumberBlackList"],"operationId":"NumberBlackList_Import","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["fileInput"],"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/NumberBlackList":{"get":{"tags":["NumberBlackList"],"operationId":"NumberBlackList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/NumberBlackList/new":{"post":{"tags":["NumberBlackList"],"operationId":"NumberBlackList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/NumberBlackList/set":{"post":{"tags":["NumberBlackList"],"operationId":"NumberBlackList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/StringSetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/NumberBlackList/delete":{"post":{"tags":["NumberBlackList"],"operationId":"NumberBlackList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/StringDeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OAuth2Crm":{"get":{"tags":["OAuth2Crm"],"operationId":"OAuth2Crm_OAuth","parameters":[{"name":"state","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}},"/api/OutboundRuleList":{"get":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_Get","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/new":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_New","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/NewEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/set":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/delete":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32DeleteEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/emergency_notifications":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_EmergencyNotificationSettings","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/getEmergencyList":{"get":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_HttpGetEmergencyList","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/up":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_Up","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/OutboundRuleList/Down":{"post":{"tags":["OutboundRuleList"],"operationId":"OutboundRuleList_Down","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32MoveEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList":{"get":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Get","parameters":[{"name":"from","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"count","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"filter","in":"query","schema":{"type":"string"}},{"name":"sortBy","in":"query","schema":{"type":"string"}},{"name":"reverse","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/new":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_New","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/set":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Set","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Int32SetEditorPhoneSystemArg"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/delete":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Selection"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Selection"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Selection"}}},"required":true},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/import":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Import","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"fileInput":{"type":"array","items":{"type":"string","format":"binary"}}}},"encoding":{"fileInput":{"style":"form"}}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResult"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/export":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Export","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"ids":{"type":"string"},"search":{"type":"string"},"isAllSelected":{"type":"boolean"}}},"encoding":{"ids":{"style":"form"},"search":{"style":"form"},"isAllSelected":{"style":"form"}}}}},"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/settings":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_Settings","responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized"}},"security":[{"bearerAuth":[]}]}},"/api/PhoneBookEntryList/dirSearchSettings":{"post":{"tags":["PhoneBookEntryList"],"operationId":"PhoneBookEntryList_DirSearchSettings","responses":{"200":{"desc
[...]
